> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elemente.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Numbers



## OpenAPI

````yaml get /api/v1/phone-numbers/search
openapi: 3.0.0
info:
  title: Elemente.ai APIS Documentation
  description: >-
    Elemente.AI is an innovative company specializing in artificial intelligence
    (AI) solutions for call centers. Its leading products include Voice to Voice
    AI agents, AI-powered call analysis, and AI-based chat systems, designed to
    enhance operational efficiency and the customer experience.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.elemente.ai
security: []
tags:
  - name: Calls
    description: Call related APIs
  - name: Agents
    description: Agents related APIs
  - name: Actions
    description: Actions allows your agent connect to external tools and systems.
  - name: Knowledgebase
    description: >-
      Train your agents on external knowledgebase sources like your companies
      data, privacy policy, term of service or even your product catalogue
  - name: Skills
    description: Add capabilities to your AI agents
paths:
  /api/v1/phone-numbers/search:
    get:
      tags:
        - Numbers
      summary: Search Numbers
      operationId: VoipController_getFilteredNumbers
      parameters:
        - name: countryCode
          required: true
          in: query
          description: Search numbers by country
          schema:
            type: string
      responses:
        '200':
          description: Return list of available numbers
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneNumberSerachOutPuts'
        '500':
          description: Internal Server Error
components:
  schemas:
    PhoneNumberSerachOutPuts:
      type: object
      properties:
        countryName:
          type: string
          description: The name of the country for the phone number.
          example: United States
        countryCode:
          type: string
          description: The country code for the phone number.
          example: US
        number:
          type: string
          description: The phone number.
          example: '+1234567890'
        price:
          type: number
          description: The price for the phone number.
          example: 1.99
      required:
        - countryName
        - countryCode
        - number
        - price

````